public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sebastian Pipping" <sping@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/ydiff/
Date: Tue, 29 Nov 2022 00:43:22 +0000 (UTC)	[thread overview]
Message-ID: <1669682555.137324be7e73c88b5972a06f0782ccdd2b7aa181.sping@gentoo> (raw)

commit:     137324be7e73c88b5972a06f0782ccdd2b7aa181
Author:     Sebastian Pipping <sping <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 28 22:51:49 2022 +0000
Commit:     Sebastian Pipping <sping <AT> gentoo <DOT> org>
CommitDate: Tue Nov 29 00:42:35 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=137324be

dev-util/ydiff: Python 3.11 + EAPI 8 + DistutilsNonPEP517Build

Signed-off-by: Sebastian Pipping <sping <AT> gentoo.org>

 dev-util/ydiff/ydiff-1.2-r1.ebuild | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/dev-util/ydiff/ydiff-1.2-r1.ebuild b/dev-util/ydiff/ydiff-1.2-r1.ebuild
new file mode 100644
index 000000000000..0eade4e715b1
--- /dev/null
+++ b/dev-util/ydiff/ydiff-1.2-r1.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..11} )
+DISTUTILS_USE_PEP517=setuptools
+
+inherit distutils-r1
+
+DESCRIPTION="Colored, side-by-side diff terminal viewer (ex. cdiff)"
+HOMEPAGE="https://github.com/ymattw/ydiff"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="sys-apps/less"
+
+DOCS=( CHANGES.rst README.rst )
+
+RESTRICT="test"
+
+python_test() {
+	${PYTHON} tests/test_ydiff.py || die "Unit tests failed."
+
+	./tests/regression.sh || die "Regression tests failed."
+}


             reply	other threads:[~2022-11-29  0:43 UTC|newest]

Thread overview: 16+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-11-29  0:43 Sebastian Pipping [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-09 15:27 [gentoo-commits] repo/gentoo:master commit in: dev-util/ydiff/ Sam James
2024-06-08 22:28 Sebastian Pipping
2024-05-28 17:01 Sam James
2023-11-07  0:07 Sebastian Pipping
2023-05-20  7:33 Michał Górny
2023-04-20  5:01 Sam James
2021-10-22 17:21 Arthur Zamarin
2020-12-15 17:48 Sebastian Pipping
2020-12-15  6:44 Sam James
2020-12-15  6:44 Sam James
2020-12-10 21:41 Thomas Deutschmann
2020-12-08 19:04 Sebastian Pipping
2020-08-09 23:00 Sebastian Pipping
2020-06-04  6:35 Agostino Sarubbo
2020-03-18  0:42 Sebastian Pipping

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1669682555.137324be7e73c88b5972a06f0782ccdd2b7aa181.sping@gentoo \
    --to=sping@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox